ソースを参照

add integration test

Michael Vogt 12 年 前
コミット
6bbd65ee4f
共有1 個のファイルを変更した18 個の追加0 個の削除を含む
  1. 18 0
      test/integration/test-bug-728500-tempdir

+ 18 - 0
test/integration/test-bug-728500-tempdir

@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'i386'
+
+buildsimplenativepackage 'coolstuff' 'all' '1.0' 'unstable'
+
+setupaptarchive
+changetowebserver
+
+msgtest 'Test with incorect TMPDIR'
+export TMPDIR=/does-not-exists
+aptget update && msgpass || msgfail
+unset TMPDIR